
Redmine - Defect #11167

Sending email notification to more than one users fail if one address email is invalid

2012-06-14 20:00 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.4.3

Description

Hi there,

Since i have updated to Redmine 1.4.2 (and 1.4.3) i have noticed a problem while email notifications are send to more than one

recipient. If only one address email of the recipients is invalid, the notification is not send to the other.

I have seen those lines within the production.log file :

Processing IssuesController#update (for 10.11.14.145 at 2012-06-14 18:15:39) [PUT]

  Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"17", "hours"=>""}, "commit"=>"Soumet

tre", "notes"=>"test notification\r\n", "last_journal_id"=>"73386", "action"=>"update", "_method"=

>"put", "authenticity_token"=>"Kbu+EohYhaA5RN0bUoFpDCoxxxxxxxxxxxxx=", "id"=>"13265", "issue"=>{"s

tart_date"=>"2012-05-25", "custom_field_values"=>{"11"=>"XXX/GEST", "12"=>""}, "estimated_hours"=>

"", "parent_issue_id"=>"", "priority_id"=>"6", "project_id"=>"86", "is_private"=>"0", "lock_versio

n"=>"14", "done_ratio"=>"100", "assigned_to_id"=>"239", "subject"=>"Blah blah / CDE TEST   TTEST49

18", "tracker_id"=>"1", "due_date"=>"2012-06-15", "status_id"=>"3", "description"=>"Suite ticket 9

855#\r\n1) Pouvez vous voir."}, "controller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}

Sending email notification to: Goudxxx@mydomain.com, Soulxxx@mydomain.com, Prevxxx@mydomain.com, B

adxxx@mydomain.com

The following error occured while sending email notification: "550 No such recipient

". Check your configuration in config/configuration.yml.

Redirected to http://support/issues/13265

Completed in 583ms (DB: 22) | 302 Found [http://support/issues/13265]

 Badxxx@mydomain.com is the bad one...

I am using this email configuration :

  email_delivery:

    delivery_method: :smtp

    smtp_settings:

      address: smtp.mydomain.com

      port: 25

      domain: mydomain.com

      authentication: :login

      user_name: "dsi@mydomain.com" 

      password: "xxxxxxxx" 

 Tx,

Patrice

Related issues:

Is duplicate of Redmine - Defect #8157: Redmine do not send notification emai... Closed

History

#1 - 2012-12-21 11:47 - Dusan Simonovic

I can confirm this issue with non existing domain.
mailto:Badxxx@mydomain.com


I've spent few hours debugging and found out that one email address in the recipient list had typo error in the domain name.

I believe this is something that definitely should be happening. The email should go to correct emails regardless of other recipients that may be

wrong.

Best regards,

Dusan

#2 - 2014-11-03 07:33 - Go MAEDA

- Related to Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added

#3 - 2017-08-30 16:24 - Go MAEDA

- Related to deleted (Defect #8157: Redmine do not send notification emails if a recipients email address is not valid)

#4 - 2017-08-30 16:24 - Go MAEDA

- Is duplicate of Defect #8157: Redmine do not send notification emails if a recipients email address is not valid added

#5 - 2017-08-30 16:25 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Not fixed yet but closing as a duplicate of #8157.
